/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var LoyaltyReward = require('./LoyaltyReward');




/**
 * The CreateLoyaltyRewardRequest model module.
 * Note: This model is in beta.
 * @module model/CreateLoyaltyRewardRequest
 */

/**
 * Constructs a new <code>CreateLoyaltyRewardRequest</code>.
 * A request to create a loyalty reward.
 * @alias module:model/CreateLoyaltyRewardRequest
 * @class
 * @param reward {module:model/LoyaltyReward} The reward to create.
 * @param idempotencyKey {String} A unique string that identifies this `CreateLoyaltyReward` request.  Keys can be any valid string, but must be unique for every request.
 */
var exports = function(reward, idempotencyKey) {
  var _this = this;

  _this['reward'] = reward;
  _this['idempotency_key'] = idempotencyKey;
};

/**
 * Constructs a <code>CreateLoyaltyRewardRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/CreateLoyaltyRewardRequest} obj Optional instance to populate.
 * @return {module:model/CreateLoyaltyRewardRequest} The populated <code>CreateLoyaltyRewardRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('reward')) {
      obj['reward'] = LoyaltyReward.constructFromObject(data['reward']);
    }
      if (data.hasOwnProperty('idempotency_key')) {
      obj['idempotency_key'] = ApiClient.convertToType(data['idempotency_key'], 'String');
    }
    }
  return obj;
}

/**
 * The reward to create.
 * @member {module:model/LoyaltyReward} reward
 */
exports.prototype['reward'] = undefined;
/**
 * A unique string that identifies this `CreateLoyaltyReward` request.  Keys can be any valid string, but must be unique for every request.
 * @member {String} idempotency_key
 */
exports.prototype['idempotency_key'] = undefined;



module.exports = exports;



