/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var TerminalCheckout = require('./TerminalCheckout');




/**
 * The CreateTerminalCheckoutRequest model module.
 * @module model/CreateTerminalCheckoutRequest
 */

/**
 * Constructs a new <code>CreateTerminalCheckoutRequest</code>.
 * 
 * @alias module:model/CreateTerminalCheckoutRequest
 * @class
 * @param idempotencyKey {String} A unique string that identifies this `CreateCheckout` request. Keys can be any valid string but must be unique for every `CreateCheckout` request.  See [Idempotency keys](https://developer.squareup.com/docs/basics/api101/idempotency) for more information.
 * @param checkout {module:model/TerminalCheckout} The checkout to create.
 */
var exports = function(idempotencyKey, checkout) {
  var _this = this;

  _this['idempotency_key'] = idempotencyKey;
  _this['checkout'] = checkout;
};

/**
 * Constructs a <code>CreateTerminalCheckoutRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/CreateTerminalCheckoutRequest} obj Optional instance to populate.
 * @return {module:model/CreateTerminalCheckoutRequest} The populated <code>CreateTerminalCheckoutRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('idempotency_key')) {
      obj['idempotency_key'] = ApiClient.convertToType(data['idempotency_key'], 'String');
    }
      if (data.hasOwnProperty('checkout')) {
      obj['checkout'] = TerminalCheckout.constructFromObject(data['checkout']);
    }
    }
  return obj;
}

/**
 * A unique string that identifies this `CreateCheckout` request. Keys can be any valid string but must be unique for every `CreateCheckout` request.  See [Idempotency keys](https://developer.squareup.com/docs/basics/api101/idempotency) for more information.
 * @member {String} idempotency_key
 */
exports.prototype['idempotency_key'] = undefined;
/**
 * The checkout to create.
 * @member {module:model/TerminalCheckout} checkout
 */
exports.prototype['checkout'] = undefined;



module.exports = exports;



