/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var BankAccount = require('./BankAccount');
var Error = require('./Error');




/**
 * The ListBankAccountsResponse model module.
 * @module model/ListBankAccountsResponse
 */

/**
 * Constructs a new <code>ListBankAccountsResponse</code>.
 * Response object returned by ListBankAccounts.
 * @alias module:model/ListBankAccountsResponse
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>ListBankAccountsResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/ListBankAccountsResponse} obj Optional instance to populate.
 * @return {module:model/ListBankAccountsResponse} The populated <code>ListBankAccountsResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
      if (data.hasOwnProperty('bank_accounts')) {
      obj['bank_accounts'] = ApiClient.convertToType(data['bank_accounts'], [BankAccount]);
    }
      if (data.hasOwnProperty('cursor')) {
      obj['cursor'] = ApiClient.convertToType(data['cursor'], 'String');
    }
    }
  return obj;
}

/**
 * Information on errors encountered during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;
/**
 * List of BankAccounts associated with this account.
 * @member {Array.<module:model/BankAccount>} bank_accounts
 */
exports.prototype['bank_accounts'] = undefined;
/**
 * When a response is truncated, it includes a cursor that you can  use in a subsequent request to fetch next set of bank accounts. If empty, this is the final response.  For more information, see [Pagination](https://developer.squareup.com/docs/docs/working-with-apis/pagination).
 * @member {String} cursor
 */
exports.prototype['cursor'] = undefined;



module.exports = exports;



