/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var Error = require('./Error');
var TeamMemberBookingProfile = require('./TeamMemberBookingProfile');




/**
 * The ListTeamMemberBookingProfilesResponse model module.
 * Note: This model is in beta.
 * @module model/ListTeamMemberBookingProfilesResponse
 */

/**
 * Constructs a new <code>ListTeamMemberBookingProfilesResponse</code>.
 * 
 * @alias module:model/ListTeamMemberBookingProfilesResponse
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>ListTeamMemberBookingProfilesResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/ListTeamMemberBookingProfilesResponse} obj Optional instance to populate.
 * @return {module:model/ListTeamMemberBookingProfilesResponse} The populated <code>ListTeamMemberBookingProfilesResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('team_member_booking_profiles')) {
      obj['team_member_booking_profiles'] = ApiClient.convertToType(data['team_member_booking_profiles'], [TeamMemberBookingProfile]);
    }
      if (data.hasOwnProperty('cursor')) {
      obj['cursor'] = ApiClient.convertToType(data['cursor'], 'String');
    }
      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
    }
  return obj;
}

/**
 * The list of team member booking profiles.
 * @member {Array.<module:model/TeamMemberBookingProfile>} team_member_booking_profiles
 */
exports.prototype['team_member_booking_profiles'] = undefined;
/**
 * The cursor for paginating through the results.
 * @member {String} cursor
 */
exports.prototype['cursor'] = undefined;
/**
 * Any errors that occurred during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;



module.exports = exports;



