/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var Error = require('./Error');
var WorkweekConfig = require('./WorkweekConfig');




/**
 * The ListWorkweekConfigsResponse model module.
 * @module model/ListWorkweekConfigsResponse
 */

/**
 * Constructs a new <code>ListWorkweekConfigsResponse</code>.
 * The response to a request for a set of &#x60;WorkweekConfig&#x60; objects. Contains the requested &#x60;WorkweekConfig&#x60; objects. May contain a set of &#x60;Error&#x60; objects if the request resulted in errors.
 * @alias module:model/ListWorkweekConfigsResponse
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>ListWorkweekConfigsResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/ListWorkweekConfigsResponse} obj Optional instance to populate.
 * @return {module:model/ListWorkweekConfigsResponse} The populated <code>ListWorkweekConfigsResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('workweek_configs')) {
      obj['workweek_configs'] = ApiClient.convertToType(data['workweek_configs'], [WorkweekConfig]);
    }
      if (data.hasOwnProperty('cursor')) {
      obj['cursor'] = ApiClient.convertToType(data['cursor'], 'String');
    }
      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
    }
  return obj;
}

/**
 * A page of Employee Wage results.
 * @member {Array.<module:model/WorkweekConfig>} workweek_configs
 */
exports.prototype['workweek_configs'] = undefined;
/**
 * Value supplied in the subsequent request to fetch the next page of Employee Wage results.
 * @member {String} cursor
 */
exports.prototype['cursor'] = undefined;
/**
 * Any errors that occurred during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;



module.exports = exports;



