/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var LoyaltyProgramRewardDefinition = require('./LoyaltyProgramRewardDefinition');




/**
 * The LoyaltyProgramRewardTier model module.
 * Note: This model is in beta.
 * @module model/LoyaltyProgramRewardTier
 */

/**
 * Constructs a new <code>LoyaltyProgramRewardTier</code>.
 * Describes a loyalty program reward tier.
 * @alias module:model/LoyaltyProgramRewardTier
 * @class
 * @param id {String} The Square-assigned ID of the reward tier.
 * @param points {Number} The points exchanged for the reward tier.
 * @param name {String} The name of the reward tier.
 * @param definition {module:model/LoyaltyProgramRewardDefinition} Provides details about the reward tier definition.
 * @param createdAt {String} The timestamp when the reward tier was created, in RFC 3339 format.
 */
var exports = function(id, points, name, definition, createdAt) {
  var _this = this;

  _this['id'] = id;
  _this['points'] = points;
  _this['name'] = name;
  _this['definition'] = definition;
  _this['created_at'] = createdAt;
};

/**
 * Constructs a <code>LoyaltyProgramRewardTier</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/LoyaltyProgramRewardTier} obj Optional instance to populate.
 * @return {module:model/LoyaltyProgramRewardTier} The populated <code>LoyaltyProgramRewardTier</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('id')) {
      obj['id'] = ApiClient.convertToType(data['id'], 'String');
    }
      if (data.hasOwnProperty('points')) {
      obj['points'] = ApiClient.convertToType(data['points'], 'Number');
    }
      if (data.hasOwnProperty('name')) {
      obj['name'] = ApiClient.convertToType(data['name'], 'String');
    }
      if (data.hasOwnProperty('definition')) {
      obj['definition'] = LoyaltyProgramRewardDefinition.constructFromObject(data['definition']);
    }
      if (data.hasOwnProperty('created_at')) {
      obj['created_at'] = ApiClient.convertToType(data['created_at'], 'String');
    }
    }
  return obj;
}

/**
 * The Square-assigned ID of the reward tier.
 * @member {String} id
 */
exports.prototype['id'] = undefined;
/**
 * The points exchanged for the reward tier.
 * @member {Number} points
 */
exports.prototype['points'] = undefined;
/**
 * The name of the reward tier.
 * @member {String} name
 */
exports.prototype['name'] = undefined;
/**
 * Provides details about the reward tier definition.
 * @member {module:model/LoyaltyProgramRewardDefinition} definition
 */
exports.prototype['definition'] = undefined;
/**
 * The timestamp when the reward tier was created, in RFC 3339 format.
 * @member {String} created_at
 */
exports.prototype['created_at'] = undefined;



module.exports = exports;



