/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var Error = require('./Error');




/**
 * The RetrieveObsMigrationProfileResponse model module.
 * Note: This model is in beta.
 * @module model/RetrieveObsMigrationProfileResponse
 */

/**
 * Constructs a new <code>RetrieveObsMigrationProfileResponse</code>.
 * 
 * @alias module:model/RetrieveObsMigrationProfileResponse
 * @class
 */
var exports = function() {
  var _this = this;






};

/**
 * Constructs a <code>RetrieveObsMigrationProfileResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/RetrieveObsMigrationProfileResponse} obj Optional instance to populate.
 * @return {module:model/RetrieveObsMigrationProfileResponse} The populated <code>RetrieveObsMigrationProfileResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('banner_enabled')) {
      obj['banner_enabled'] = ApiClient.convertToType(data['banner_enabled'], 'Boolean');
    }
      if (data.hasOwnProperty('banner_text')) {
      obj['banner_text'] = ApiClient.convertToType(data['banner_text'], 'String');
    }
      if (data.hasOwnProperty('banner_cta_text')) {
      obj['banner_cta_text'] = ApiClient.convertToType(data['banner_cta_text'], 'String');
    }
      if (data.hasOwnProperty('banner_cta_url')) {
      obj['banner_cta_url'] = ApiClient.convertToType(data['banner_cta_url'], 'String');
    }
      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
    }
  return obj;
}

/**
 * Indicates whether the seller has enabled the COVID banner (`true`) or not (`false`).
 * @member {Boolean} banner_enabled
 */
exports.prototype['banner_enabled'] = undefined;
/**
 * The text appearing on the COVID banner.
 * @member {String} banner_text
 */
exports.prototype['banner_text'] = undefined;
/**
 * The text of the label of the CTA button beneath the banner.
 * @member {String} banner_cta_text
 */
exports.prototype['banner_cta_text'] = undefined;
/**
 * The URL to link to when the CTA button is clicked.
 * @member {String} banner_cta_url
 */
exports.prototype['banner_cta_url'] = undefined;
/**
 * Any errors that occurred during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;



module.exports = exports;



